Modify

Opened 4 years ago

Closed 9 months ago

Last modified 9 months ago

#13015 closed enhancement (fixed)

add icons to preset `<check>`s

Reported by: Klumbumbus Owned by: Don-vip
Priority: normal Milestone: 19.10
Component: Core Version:
Keywords: template_report preset icon check Cc:

Description (last modified by Klumbumbus)

It would be great if we could add icons to preset <check>s.

(It already works for <combo>s and <label>s)

I just added icons to the entrance and crossing combos in r10437:


In context of #11006 I would like to add the different public transport icons to the stop_position preset, see the following screenshot. That would make it much more clear for the user, which icon belongs to which tag. The icon should be placed between the checkbox and its text.


URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-06-20 02:47:43 +0200 (Mon, 20 Jun 2016)
Build-Date:2016-06-20 01:34:14
Revision:10436
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10436 en) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (110 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=56579, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Attachments (5)

crossingicons.png (35.6 KB) - added by Klumbumbus 4 years ago.
entranceicons.png (35.1 KB) - added by Klumbumbus 4 years ago.
stop_position_icons.png (32.7 KB) - added by Klumbumbus 4 years ago.
13015.png (23.0 KB) - added by Klumbumbus 9 months ago.
13015_expected.png (21.9 KB) - added by Don-vip 9 months ago.

Download all attachments as: .zip

Change History (20)

Changed 4 years ago by Klumbumbus

Attachment: crossingicons.png added

Changed 4 years ago by Klumbumbus

Attachment: entranceicons.png added

Changed 4 years ago by Klumbumbus

Attachment: stop_position_icons.png added

comment:1 Changed 4 years ago by Klumbumbus

Description: modified (diff)

comment:2 in reply to:  description Changed 4 years ago by Don-vip

Replying to Klumbumbus:

In context of #11006 I would like to add the different public transport icons to the stop_position preset, see the following screenshot. That would make it much more clear for the user, which icon belongs to which tag. The icon should be placed between the checkbox and its text.

This dialog is too high, we could split all the checkboxes in two columns.

comment:3 Changed 4 years ago by Klumbumbus

In 10450/josm:

see #11006, see #13015 - change priority of the different public_transport=stop_position icons in the mapview and improve the layout of the preset

comment:4 Changed 4 years ago by Klumbumbus

In 10500/josm:

see #13015 - add detailed icons to the preset combo of shelter_type

comment:5 Changed 4 years ago by Klumbumbus

In 10501/josm:

see #11006 and #13015 - add icon for public_transport=stop_position funicular=yes, icon see [o32421]

comment:6 Changed 4 years ago by Klumbumbus

In 10502/josm:

see #11006 and #13015 - add icon for public_transport=stop_position share_taxi=yes, icon see [o32449]

comment:7 Changed 9 months ago by Don-vip

Keywords: preset icon check added
Milestone: 19.10
Owner: changed from team to Don-vip
Status: newassigned

comment:8 Changed 9 months ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 15437/josm:

fix #13015 - add icons to preset <check>s

Changed 9 months ago by Klumbumbus

Attachment: 13015.png added

comment:9 Changed 9 months ago by Klumbumbus

Resolution: fixed
Status: closedreopened

Thanks for taking care of this ticket.
It's not working for me yet:

  • the icons are not displayed
  • the layout is messed up
  • some check boxes now have 4 states (Not sure if this was the case already before for selecting multiple objects, but in the screenshot only 1 object is selected.)


URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-10-07 01:41:24 +0200 (Mon, 07 Oct 2019)
Build-Date:2019-10-07 01:30:53
Revision:15438
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15438 de) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1903 (18362)
Memory Usage: 1270 MB / 1820 MB (552 MB allocated, but free)
Java version: 1.8.0_221-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files (x86)\josm-latest.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=NULL,2048m, -Djnlpx.splashport=54938, -Djnlpx.jvm=<java.home>\bin\javaw.exe]
Dataset consistency test: No problems found

Plugins:
+ DirectUpload (35041)
+ HouseNumberTaggingTool (34977)
+ OpeningHoursEditor (34977)
+ PicLayer (35104)
+ SimplifyArea (34977)
+ apache-commons (35092)
+ apache-http (34908)
+ buildings_tools (35171)
+ editgpx (34908)
+ ejml (35122)
+ imagery-xml-bounds (35100)
+ imagery_offset_db (34908)
+ jaxb (35014)
+ jna (34908)
+ jogl (1.2.3)
+ log4j (34908)
+ measurement (35051)
+ osm-obj-info (56)
+ photo_geotagging (34908)
+ photoadjust (35108)
+ reltoolbox (34977)
+ reverter (35084)
+ rex (53)
+ tag2link (35149)
+ tageditor (34977)
+ tagging-preset-tester (34908)
+ terracer (34977)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ undelete (34977)
+ utilsplugin2 (35177)
+ wikipedia (1.1.2)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ %UserProfile%\Documents\OSM\TestNew\newpresets.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ %UserProfile%\Documents\OSM\josm\core\data\defaultpresets.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Iranian_Preset&zip=1

Map paint styles:
+ %UserProfile%\Documents\OSM\josm\core\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
+ %UserProfile%\Documents\OSM\TestNew\newicons.mapcss
- %UserProfile%\Downloads\Road_Extended_JOSM_style.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- %UserProfile%\Documents\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- %UserProfile%\Documents\OSM\eigene styles\Tourenplanung.mapcss
- %UserProfile%\Documents\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- %UserProfile%\Documents\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- http://www.openrailwaymap.org/styles/standard.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/RecyclingMaterials&zip=1
- %UserProfile%\Documents\OSM\eigene styles\maxspeed\maxspeed_2.9_01 basierend auf 2.7_02 Zahlen.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Bench&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransportV2&zip=1
- %UserProfile%\Documents\OSM\eigene styles\colourtag\colourtag_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/ColourTag&zip=1
- %UserProfile%\Downloads\coloured_kerbs_style.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Admin_Boundaries&zip=1
- https://raw.githubusercontent.com/species/josm-preset-traffic_sign_direction/master/direction.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&zip=1
- %UserProfile%\Documents\OSM\eigene styles\yes-no-unset\YesNoUnset_1.0.mapcss
- <josm.pref>\styles\sit.mapcss
- <josm.pref>\styles\sit.mapcss
- %UserProfile%\Documents\OSM\eigene styles\elemstyles\elemstyles12991.mapcss
- %UserProfile%\Documents\OSM\eigene styles\elemstyles\elemstyles13125.mapcss
- %UserProfile%\Documents\OSM\eigene styles\elemstyles\elemstyles13091.mapcss

Validator rules:
+ https://raw.githubusercontent.com/<user.name>n-a-bauer/josm-validators/master/mtb.validator.mapcss
+ %UserProfile%\Documents\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1

Last errors/warnings:
- E: java.io.IOException: Die angeforderte URL https://osmlab.github.io/editor-layer-index/imagery.xmlx wurde nicht gefunden
- W: No configuration settings found.  Using hardcoded default values for all pools.

Changed 9 months ago by Don-vip

Attachment: 13015_expected.png added

comment:10 Changed 9 months ago by Don-vip

Strange, this is what I have:


Concerning the four states, I didn't change the logic so I guess it was already like it before. Can you please check?

comment:11 Changed 9 months ago by Don-vip

I tried with Java 8, Java 13, from Eclipse, from a jar built manually and from the official jar and I have no problem. Did you build JOSM yourself?

Last edited 9 months ago by Don-vip (previous) (diff)

comment:12 Changed 9 months ago by Klumbumbus

Resolution: fixed
Status: reopenedclosed

Oops sorry my bad. I use the preset file from my svn instead of the included one and did not update it before. Regarding the 4 states, thats a totally different topic, I'll create a new tickewt for that (-> #18209).

Last edited 9 months ago by Klumbumbus (previous) (diff)

comment:13 Changed 9 months ago by Klumbumbus

...however the grid alignement for checkgroups without icons is not correct, see e.g. the preset for motorway, steps or railway. Same for you?

comment:14 Changed 9 months ago by Don-vip

In 15441/josm:

see #10564 - add missing geojson download task
see #13015 - fix presets checkgroup layout for checks without icon

comment:15 in reply to:  13 Changed 9 months ago by Don-vip

Replying to Klumbumbus:

Same for you?

Yes, fixed. Thanks.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.